/***********************************************
 * Licensed Materials - Property of IBM
 * 
 * 5724-R31, 5655-S30
 *
 * (C) Copyright IBM Corp. 2002, 2007 All Rights Reserved.
 * (C) Copyright Webify Solutions, Inc. 2002, 2007 All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ***********************************************
 */
package com.ibm.websphere.fabric.telco.util;

import java.util.Map;

/**
 * BpelContextHandler is used to hold the assertion values for each 
 * localthread so they can be used accross all the services where ever 
 * required inside the BPEL.
 * 
 *  @author manoj.puthran 
 */
public final class BpelContextHandler {

    private BpelContextHandler() {
    }

    public static Map<Object, Object> getContextProperties() {
        return bpelContext.get();
    }

    public static void setContextProperties(Map<Object, Object> properties) {
        bpelContext.set(properties);
    }

    private static ThreadLocal<Map<Object, Object>> bpelContext = new ThreadLocal<Map<Object, Object>>();
}
